/*
 * internals for BMP codecs
 * Copyright (c) 2005 Mans Rullgard
 *
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef AVCODEC_VBI_H
#define AVCODEC_VBI_H

#include "avcodec.h"

enum UserdataDecState {
	WAIT_FOR_MORE_DATA,
	CREATE_NEW_PACKET,
	PROCESS_USERDATA,
};


typedef struct {
    int dummy;
	uint8_t *dataPt;
	enum UserdataDecState decoderStateEn;
	uint8_t *internalDataPt;
	uint16_t internalDataSz;	
} VBIContext;


#endif /* AVCODEC_VBI_H */
