#!/bin/bash

# ----------------------------------------------------------------------
# Documentation
# ----------------------------------------------------------------------
#
# Umbrella script that COMPLELETY builds the system group, running the 
# following scripts in given order:
#
# 1. group-clean.sh
# 2. group-configure.sh
# 3. group-make.sh


# ----------------------------------------------------------------------
# Globals
# ----------------------------------------------------------------------

Vers="(v1)"
ArgCt=$#
GroupDir="../.."

ScriptDir=$(dirname $0 | tr -d \\r)
ScriptName=$(basename $0 .sh)

# Get the group system definitions and source them.
GroupDefs=$ScriptDir/group-defs.sh
source $GroupDefs

# Show help info. It needs $ScriptName to be defined.
Help $@

# ----------------------------------------------------------------------
# Main
# ----------------------------------------------------------------------

# Call clean, configure and make, passing them the arguments, if any.
# The called group-* scripts will do the filtering based on arguments.

$ScriptDir/group-clean.sh $@
$ScriptDir/group-configure.sh $@
$ScriptDir/group-make.sh $@

echo "${ScriptName}: done."




