#!/bin/sh

# check for SVN revision number
#revision=`cd "$1" && LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
#test $revision || revision=`cd "$1" && grep revision .svn/entries 2>/dev/null | cut -d '"' -f2`
#test $revision || revision=`cd "$1" && sed -n -e '/^dir$/{n;p;q}' .svn/entries 2>/dev/null`
#test $revision && revision=SVN-r$revision

# check for git short hash
#if ! test $revision; then
#    revision=`cd "$1" && git log -1 --pretty=format:%h`
#    test $revision && revision=git-$revision
#fi
revision=`cat VERSION`

localext=`cat gv_version.txt`

# no version number found
test $revision || revision=UNKNOWN
test $localext || localext=UNKNOWN

NEW_REVISION="#define LIBAV_VERSION \"$revision\""
OLD_REVISION=`cat version.h | head -n 1 2> /dev/null`

NEW_LOCALEXT="#define LIBAV_GVAPIVERSION \"$localext\""
OLD_LOCALEXT=`cat version.h | head -n 2 | tail -n 1 2> /dev/null`

# Update version.h only on revision changes to avoid spurious rebuilds
if test "$NEW_REVISION" != "$OLD_REVISION" || test "$NEW_LOCALEXT" != "$OLD_LOCALEXT"; then
    echo "$NEW_REVISION" > "$2"
    echo "$NEW_LOCALEXT" >> "$2"
fi
